| # Gaudi Framework, version v20r2
Generated: 18 Jul 2008

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Gaudi Class Reference

`#include <GaudiKernel/Bootstrap.h>`

List of all members.

## Detailed Description

This is a number of static methods for bootstrapping the Gaudi framework.

Author:
  Pere Mato

Definition at line 15 of file Bootstrap.h.

## Public Types
typedef ROOT::Math::Cartesian3D< double > | Cartesian3D
| Cartesian 3D point (double).
typedef ROOT::Math::Cartesian3D< float > | Cartesian3DF
| Cartesian 3D point (float).
typedef ROOT::Math::Polar3D< double > | Polar3D
| Polar 3D point (double).
typedef ROOT::Math::Polar3D< float > | Polar3DF
| Polar 3D point (float).
typedef ROOT::Math::Cylindrical3D< double > | RhoPhiZ3D
| Cylindrical 3D point (double).
typedef ROOT::Math::Cylindrical3D< float > | RhoPhiZ3DF
| Cylindrical 3D point (float).
typedef ROOT::Math::CylindricalEta3D< double > | RhoEtaPhi3D
| Cylindrical Eta 3D point (double).
typedef ROOT::Math::CylindricalEta3D< float > | RhoEtaPhi3DF
| Cylindrical Eta 3D point (float).
typedef ROOT::Math::SMatrix< double, 1, 1 > | Matrix1x1
| Generic 1x1 matrix (double).
typedef ROOT::Math::SMatrix< double, 2, 2 > | Matrix2x2
| Generic 2x2 matrix (double).
typedef ROOT::Math::SMatrix< double, 3, 3 > | Matrix3x3
| Generic 3x3 matrix (double).
typedef ROOT::Math::SMatrix< double, 4, 4 > | Matrix4x4
| Generic 4x4 matrix (double).
typedef ROOT::Math::SMatrix< double, 5, 5 > | Matrix5x5
| Generic 5x5 matrix (double).
typedef ROOT::Math::SMatrix< double, 6, 6 > | Matrix6x6
| Generic 6x6 matrix (double).
typedef ROOT::Math::SMatrix< double, 7, 7 > | Matrix7x7
| Generic 7x7 matrix (double).
typedef ROOT::Math::SMatrix< double, 8, 8 > | Matrix8x8
| Generic 8x8 matrix (double).
typedef ROOT::Math::SMatrix< double, 9, 9 > | Matrix9x9
| Generic 9x9 matrix (double).
typedef ROOT::Math::SMatrix< double, 1, 3 > | Matrix1x3
| Generic 1x3 matrix (double).
typedef ROOT::Math::SMatrix< double, 1, 5 > | Matrix1x5
| Generic 1x5 matrix (double).
typedef ROOT::Math::SMatrix< double, 1, 6 > | Matrix1x6
| Generic 1x6 matrix (double).
typedef ROOT::Math::SMatrix< double, 4, 3 > | Matrix4x3
| Generic 4x3 matrix (double).
typedef ROOT::Math::SMatrix< double, 3, 4 > | Matrix3x4
| Generic 3x4 matrix (double).
typedef ROOT::Math::SMatrix< double, 3, 5 > | Matrix3x5
| Generic 3x5 matrix (double).
typedef ROOT::Math::SMatrix< double, 3, 6 > | Matrix3x6
| Generic 3x6 matrix (double).
typedef ROOT::Math::SMatrix< double, 2, 3 > | Matrix2x3
| Generic 2x3 matrix (double).
typedef ROOT::Math::SMatrix< double, 3, 2 > | Matrix3x2
| Generic 3x2 matrix (double).
typedef ROOT::Math::SMatrix< float, 1, 1 > | Matrix1x1F
| Generic 1x1 matrix (float).
typedef ROOT::Math::SMatrix< float, 2, 2 > | Matrix2x2F
| Generic 2x2 matrix (float).
typedef ROOT::Math::SMatrix< float, 3, 3 > | Matrix3x3F
| Generic 3x3 matrix (float).
typedef ROOT::Math::SMatrix< float, 4, 4 > | Matrix4x4F
| Generic 4x4 matrix (float).
typedef ROOT::Math::SMatrix< float, 5, 5 > | Matrix5x5F
| Generic 5x5 matrix (float).
typedef ROOT::Math::SMatrix< float, 6, 6 > | Matrix6x6F
| Generic 6x6 matrix (float).
typedef ROOT::Math::SMatrix< float, 7, 7 > | Matrix7x7F
| Generic 7x7 matrix (float).
typedef ROOT::Math::SMatrix< float, 8, 8 > | Matrix8x8F
| Generic 8x8 matrix (float).
typedef ROOT::Math::SMatrix< float, 9, 9 > | Matrix9x9F
| Generic 9x9 matrix (float).
typedef ROOT::Math::SMatrix< float, 1, 5 > | Matrix1x5F
| Generic 1x5 matrix (float).
typedef ROOT::Math::SMatrix< float, 4, 3 > | Matrix4x3F
| Generic 4x3 matrix (float).
typedef ROOT::Math::SMatrix< float, 3, 4 > | Matrix3x4F
| Generic 3x4 matrix (float).
typedef ROOT::Math::SMatrix< float, 2, 3 > | Matrix2x3F
| Generic 2x3 matrix (float).
typedef ROOT::Math::SMatrix< float, 3, 2 > | Matrix3x2F
| Generic 3x2 matrix (float).
typedef ROOT::Math::SVector< double, 1 > | Vector1
| 1D Vector (double)
typedef ROOT::Math::SVector< double, 2 > | Vector2
| 2D Vector (double)
typedef ROOT::Math::SVector< double, 3 > | Vector3
| 3D Vector (double)
typedef ROOT::Math::SVector< double, 4 > | Vector4
| 4D Vector (double)
typedef ROOT::Math::SVector< double, 5 > | Vector5
| 5D Vector (double)
typedef ROOT::Math::SVector< double, 6 > | Vector6
| 6D Vector (double)
typedef ROOT::Math::SVector< double, 7 > | Vector7
| 7D Vector (double)
typedef ROOT::Math::SVector< double, 8 > | Vector8
| 8D Vector (double)
typedef ROOT::Math::SVector< double, 9 > | Vector9
| 9D Vector (double)
typedef ROOT::Math::SVector< float, 1 > | Vector1F
| 1D Vector (float)
typedef ROOT::Math::SVector< float, 2 > | Vector2F
| 2D Vector (float)
typedef ROOT::Math::SVector< float, 3 > | Vector3F
| 3D Vector (float)
typedef ROOT::Math::SVector< float, 4 > | Vector4F
| 4D Vector (float)
typedef ROOT::Math::SVector< float, 5 > | Vector5F
| 5D Vector (float)
typedef ROOT::Math::SVector< float, 6 > | Vector6F
| 6D Vector (float)
typedef ROOT::Math::SVector< float, 7 > | Vector7F
| 7D Vector (float)
typedef ROOT::Math::SVector< float, 8 > | Vector8F
| 8D Vector (float)
typedef ROOT::Math::SVector< float, 9 > | Vector9F
| 9D Vector (float)
typedef ROOT::Math::Plane3D | Plane3D
| 3D plane (double)
typedef ROOT::Math::XYZPoint | XYZPoint
| 3D cartesian point (double)
typedef ROOT::Math::Polar3DPoint | Polar3DPoint
| 3D polar point (double)
typedef ROOT::Math::RhoEtaPhiPoint | RhoEtaPhiPoint
| 3D RhoEtaPhi point (double)
typedef ROOT::Math::RhoZPhiPoint | RhoZPhiPoint
| 3D RhoZPhi point (double)
typedef ROOT::Math::XYZPointF | XYZPointF
| 3D cartesian point (float)
typedef ROOT::Math::Polar3DPointF | Polar3DPointF
| 3D polar point (float)
typedef ROOT::Math::RhoEtaPhiPointF | RhoEtaPhiPointF
| 3D RhoEtaPhi point (float)
typedef ROOT::Math::RhoZPhiPointF | RhoZPhiPointF
| 3D RhoZPhi point (float)
typedef LorentzVector | XYZTPoint
| 4D point (space-time)
typedef ROOT::Math::SMatrix< double, 1, 1, ROOT::Math::MatRepSym< double, 1 > > | SymMatrix1x1
| Symmetrix 1x1 matrix (double).
typedef ROOT::Math::SMatrix< double, 2, 2, ROOT::Math::MatRepSym< double, 2 > > | SymMatrix2x2
| Symmetrix 2x2 matrix (double).
typedef ROOT::Math::SMatrix< double, 3, 3, ROOT::Math::MatRepSym< double, 3 > > | SymMatrix3x3
| Symmetrix 3x3 matrix (double).
typedef ROOT::Math::SMatrix< double, 4, 4, ROOT::Math::MatRepSym< double, 4 > > | SymMatrix4x4
| Symmetrix 4x4 matrix (double).
typedef ROOT::Math::SMatrix< double, 5, 5, ROOT::Math::MatRepSym< double, 5 > > | SymMatrix5x5
| Symmetrix 5x5 matrix (double).
typedef ROOT::Math::SMatrix< double, 6, 6, ROOT::Math::MatRepSym< double, 6 > > | SymMatrix6x6
| Symmetrix 6x6 matrix (double).
typedef ROOT::Math::SMatrix< double, 7, 7, ROOT::Math::MatRepSym< double, 7 > > | SymMatrix7x7
| Symmetrix 7x7 matrix (double).
typedef ROOT::Math::SMatrix< double, 8, 8, ROOT::Math::MatRepSym< double, 8 > > | SymMatrix8x8
| Symmetrix 8x8 matrix (double).
typedef ROOT::Math::SMatrix< double, 9, 9, ROOT::Math::MatRepSym< double, 9 > > | SymMatrix9x9
| Symmetrix 9x9 matrix (double).
typedef ROOT::Math::SMatrix< float, 1, 1, ROOT::Math::MatRepSym< float, 1 > > | SymMatrix1x1F
| Symmetrix 1x1 matrix (float).
typedef ROOT::Math::SMatrix< float, 2, 2, ROOT::Math::MatRepSym< float, 2 > > | SymMatrix2x2F
| Symmetrix 2x2 matrix (float).
typedef ROOT::Math::SMatrix< float, 3, 3, ROOT::Math::MatRepSym< float, 3 > > | SymMatrix3x3F
| Symmetrix 3x3 matrix (float).
typedef ROOT::Math::SMatrix< float, 4, 4, ROOT::Math::MatRepSym< float, 4 > > | SymMatrix4x4F
| Symmetrix 4x4 matrix (float).
typedef ROOT::Math::SMatrix< float, 5, 5, ROOT::Math::MatRepSym< float, 5 > > | SymMatrix5x5F
| Symmetrix 5x5 matrix (float).
typedef ROOT::Math::SMatrix< float, 6, 6, ROOT::Math::MatRepSym< float, 6 > > | SymMatrix6x6F
| Symmetrix 6x6 matrix (float).
typedef ROOT::Math::SMatrix< float, 7, 7, ROOT::Math::MatRepSym< float, 7 > > | SymMatrix7x7F
| Symmetrix 7x7 matrix (float).
typedef ROOT::Math::SMatrix< float, 8, 8, ROOT::Math::MatRepSym< float, 8 > > | SymMatrix8x8F
| Symmetrix 8x8 matrix (float).
typedef ROOT::Math::SMatrix< float, 9, 9, ROOT::Math::MatRepSym< float, 9 > > | SymMatrix9x9F
| Symmetrix 9x9 matrix (float).
typedef ROOT::Math::Rotation3D | Rotation3D
| 3D rotation
typedef ROOT::Math::EulerAngles | EulerAngles
| 3D Euler Angles
typedef ROOT::Math::Quaternion | Quaternion
| 3D Quaternion
typedef ROOT::Math::AxisAngle | AxisAngle
| 3D Axis Angle
typedef ROOT::Math::RotationX | RotationX
| Rotation about X axis.
typedef ROOT::Math::RotationY | RotationY
| Rotation about Y axis.
typedef ROOT::Math::RotationZ | RotationZ
| Rotation about Z axis.
typedef ROOT::Math::Transform3D | Transform3D
| General 3D transformation (rotation+translation).
typedef ROOT::Math::XYZVector | TranslationXYZ
| 3D translation
typedef ROOT::Math::LorentzRotation | LorentzRotation
| Lorentz rotation.
typedef ROOT::Math::XYZVector | XYZVector
| Cartesian 3D vector (double).
typedef ROOT::Math::Polar3DVector | Polar3DVector
| Polar 3D vector (double).
typedef ROOT::Math::RhoEtaPhiVector | RhoEtaPhiVector
| RhoEtaPhi 3D vector (double).
typedef ROOT::Math::RhoZPhiVector | RhoZPhiVector
| RhoZPhi 3D vector (double).
typedef ROOT::Math::XYZVectorF | XYZVectorF
| Cartesian 3D vector (float).
typedef ROOT::Math::Polar3DVectorF | Polar3DVectorF
| Polar 3D vector (float).
typedef ROOT::Math::RhoEtaPhiVectorF | RhoEtaPhiVectorF
| RhoEtaPhi 3D vector (float).
typedef ROOT::Math::RhoZPhiVectorF | RhoZPhiVectorF
| RhoZPhi 3D vector (float).
typedef ROOT::Math::PxPyPzEVector | XYZTVector
| Cartesian 4 Vector.
typedef ROOT::Math::PxPyPzEVector | LorentzVector
| Cartesian 4 Vector.
typedef ROOT::Math::XYZTVectorF | XYZTVectorF
| Cartesian 4 Vector (float).
typedef ROOT::Math::XYZTVectorF | LorentzVectorF
| Cartesian 4 Vector (float).
typedef ROOT::Math::PtEtaPhiEVector | PtEtaPhiEVector
| Polar 4 Vector.
typedef std::vector< double > | Edges
## Static Public Attributes
static const InterfaceID | IID_IIODataManager ("IIODataManager", 1, 0)
## Classes
class | Axis
| An IAxis represents a binned histogram axis. More...
class | BootSvcLocator
| A dual-stage boostrap mechanism is used to ensure an orderly startup of the ApplicationMgr. More...
class | Generic1D
| Common AIDA implementation stuff for histograms and profiles using ROOT implementations. More...
class | Generic2D
| Common AIDA implementation stuff for histograms and profiles using ROOT implementations. More...
class | Generic3D
| Common AIDA implementation stuff for histograms and profiles using ROOT implementations. More...
class | Histo1DDef
| Simple helper class for description of 1D-histogram The class is targeted to act as the primary "histogram property", but clearly have significantly wider application range. More...
class | Histogram1D
| AIDA implementation for 1 D histograms using ROOT THD1. More...
class | Histogram2D
| AIDA implementation for 2 D histograms using ROOT THD2. More...
class | Histogram3D
| AIDA implementation for 2 D histograms using ROOT THD2. More...
class | HistogramBase
| Common base class for all histograms Use is solely functional to minimize dynamic_casts inside HistogramSvc. More...
class | IDataConnection
| ABC describing basic data connection. More...
class | IFileCatalog
| File catalog interface. More...
class | IFileCatalogMgr
| File catalog manager. More...
class | IIODataManager
| M.Frank More...
class | IODataManager
class | MultiFileCatalog
| This class constitutes the core of the XML based FileCatalog API for using POOL within Gaudi. More...
class | Profile1D
| AIDA implementation for 1 D profiles using ROOT TProfile. More...
class | Profile2D
| AIDA implementation for 2 D profiles using ROOT TProfile2D. More...
class | Time
| Based on seal::Time. More...
class | TimeSpan
| Based on seal::TimeSpan. More...
class | XMLFileCatalog
| This class constitutes the core of the XML based FileCatalog API for POOL. More...

## Member Typedef Documentation

typedef ROOT::Math::Cartesian3D<double> Gaudi::Cartesian3D

Cartesian 3D point (double).

Definition at line 34 of file Coord3DTypes.h.

typedef ROOT::Math::Cartesian3D<float> Gaudi::Cartesian3DF

Cartesian 3D point (float).

Definition at line 35 of file Coord3DTypes.h.

typedef ROOT::Math::Polar3D<double> Gaudi::Polar3D

Polar 3D point (double).

Definition at line 36 of file Coord3DTypes.h.

typedef ROOT::Math::Polar3D<float> Gaudi::Polar3DF

Polar 3D point (float).

Definition at line 37 of file Coord3DTypes.h.

typedef ROOT::Math::Cylindrical3D<double> Gaudi::RhoPhiZ3D

Cylindrical 3D point (double).

Definition at line 38 of file Coord3DTypes.h.

typedef ROOT::Math::Cylindrical3D<float> Gaudi::RhoPhiZ3DF

Cylindrical 3D point (float).

Definition at line 39 of file Coord3DTypes.h.

typedef ROOT::Math::CylindricalEta3D<double> Gaudi::RhoEtaPhi3D

Cylindrical Eta 3D point (double).

Definition at line 40 of file Coord3DTypes.h.

typedef ROOT::Math::CylindricalEta3D<float> Gaudi::RhoEtaPhi3DF

Cylindrical Eta 3D point (float).

Definition at line 41 of file Coord3DTypes.h.

typedef ROOT::Math::SMatrix<double, 1, 1> Gaudi::Matrix1x1

Generic 1x1 matrix (double).

Definition at line 33 of file GenericMatrixTypes.h.

typedef ROOT::Math::SMatrix<double, 2, 2> Gaudi::Matrix2x2

Generic 2x2 matrix (double).

Definition at line 34 of file GenericMatrixTypes.h.

typedef ROOT::Math::SMatrix<double, 3, 3> Gaudi::Matrix3x3

Generic 3x3 matrix (double).

Definition at line 35 of file GenericMatrixTypes.h.

typedef ROOT::Math::SMatrix<double, 4, 4> Gaudi::Matrix4x4

Generic 4x4 matrix (double).

Definition at line 36 of file GenericMatrixTypes.h.

typedef ROOT::Math::SMatrix<double, 5, 5> Gaudi::Matrix5x5

Generic 5x5 matrix (double).

Definition at line 37 of file GenericMatrixTypes.h.

typedef ROOT::Math::SMatrix<double, 6, 6> Gaudi::Matrix6x6

Generic 6x6 matrix (double).

Definition at line 38 of file GenericMatrixTypes.h.

typedef ROOT::Math::SMatrix<double, 7, 7> Gaudi::Matrix7x7

Generic 7x7 matrix (double).

Definition at line 39 of file GenericMatrixTypes.h.

typedef ROOT::Math::SMatrix<double, 8, 8> Gaudi::Matrix8x8

Generic 8x8 matrix (double).

Definition at line 40 of file GenericMatrixTypes.h.

typedef ROOT::Math::SMatrix<double, 9, 9> Gaudi::Matrix9x9

Generic 9x9 matrix (double).

Definition at line 41 of file GenericMatrixTypes.h.

typedef ROOT::Math::SMatrix<double, 1, 3> Gaudi::Matrix1x3

Generic 1x3 matrix (double).

Definition at line 43 of file GenericMatrixTypes.h.

typedef ROOT::Math::SMatrix<double, 1, 5> Gaudi::Matrix1x5

Generic 1x5 matrix (double).

Definition at line 44 of file GenericMatrixTypes.h.

typedef ROOT::Math::SMatrix<double, 1, 6> Gaudi::Matrix1x6

Generic 1x6 matrix (double).

Definition at line 45 of file GenericMatrixTypes.h.

typedef ROOT::Math::SMatrix<double, 4, 3> Gaudi::Matrix4x3

Generic 4x3 matrix (double).

Definition at line 46 of file GenericMatrixTypes.h.

typedef ROOT::Math::SMatrix<double, 3, 4> Gaudi::Matrix3x4

Generic 3x4 matrix (double).

Definition at line 47 of file GenericMatrixTypes.h.

typedef ROOT::Math::SMatrix<double, 3, 5> Gaudi::Matrix3x5

Generic 3x5 matrix (double).

Definition at line 48 of file GenericMatrixTypes.h.

typedef ROOT::Math::SMatrix<double, 3, 6> Gaudi::Matrix3x6

Generic 3x6 matrix (double).

Definition at line 49 of file GenericMatrixTypes.h.

typedef ROOT::Math::SMatrix<double, 2, 3> Gaudi::Matrix2x3

Generic 2x3 matrix (double).

Definition at line 50 of file GenericMatrixTypes.h.

typedef ROOT::Math::SMatrix<double, 3, 2> Gaudi::Matrix3x2

Generic 3x2 matrix (double).

Definition at line 51 of file GenericMatrixTypes.h.

typedef ROOT::Math::SMatrix<float, 1, 1> Gaudi::Matrix1x1F

Generic 1x1 matrix (float).

Definition at line 53 of file GenericMatrixTypes.h.

typedef ROOT::Math::SMatrix<float, 2, 2> Gaudi::Matrix2x2F

Generic 2x2 matrix (float).

Definition at line 54 of file GenericMatrixTypes.h.

typedef ROOT::Math::SMatrix<float, 3, 3> Gaudi::Matrix3x3F

Generic 3x3 matrix (float).

Definition at line 55 of file GenericMatrixTypes.h.

typedef ROOT::Math::SMatrix<float, 4, 4> Gaudi::Matrix4x4F

Generic 4x4 matrix (float).

Definition at line 56 of file GenericMatrixTypes.h.

typedef ROOT::Math::SMatrix<float, 5, 5> Gaudi::Matrix5x5F

Generic 5x5 matrix (float).

Definition at line 57 of file GenericMatrixTypes.h.

typedef ROOT::Math::SMatrix<float, 6, 6> Gaudi::Matrix6x6F

Generic 6x6 matrix (float).

Definition at line 58 of file GenericMatrixTypes.h.

typedef ROOT::Math::SMatrix<float, 7, 7> Gaudi::Matrix7x7F

Generic 7x7 matrix (float).

Definition at line 59 of file GenericMatrixTypes.h.

typedef ROOT::Math::SMatrix<float, 8, 8> Gaudi::Matrix8x8F

Generic 8x8 matrix (float).

Definition at line 60 of file GenericMatrixTypes.h.

typedef ROOT::Math::SMatrix<float, 9, 9> Gaudi::Matrix9x9F

Generic 9x9 matrix (float).

Definition at line 61 of file GenericMatrixTypes.h.

typedef ROOT::Math::SMatrix<float, 1, 5> Gaudi::Matrix1x5F

Generic 1x5 matrix (float).

Definition at line 63 of file GenericMatrixTypes.h.

typedef ROOT::Math::SMatrix<float, 4, 3> Gaudi::Matrix4x3F

Generic 4x3 matrix (float).

Definition at line 64 of file GenericMatrixTypes.h.

typedef ROOT::Math::SMatrix<float, 3, 4> Gaudi::Matrix3x4F

Generic 3x4 matrix (float).

Definition at line 65 of file GenericMatrixTypes.h.

typedef ROOT::Math::SMatrix<float, 2, 3> Gaudi::Matrix2x3F

Generic 2x3 matrix (float).

Definition at line 66 of file GenericMatrixTypes.h.

typedef ROOT::Math::SMatrix<float, 3, 2> Gaudi::Matrix3x2F

Generic 3x2 matrix (float).

Definition at line 67 of file GenericMatrixTypes.h.

typedef ROOT::Math::SVector<double, 1> Gaudi::Vector1

1D Vector (double)

Definition at line 33 of file GenericVectorTypes.h.

typedef ROOT::Math::SVector<double, 2> Gaudi::Vector2

2D Vector (double)

Definition at line 34 of file GenericVectorTypes.h.

typedef ROOT::Math::SVector<double, 3> Gaudi::Vector3

3D Vector (double)

Definition at line 35 of file GenericVectorTypes.h.

typedef ROOT::Math::SVector<double, 4> Gaudi::Vector4

4D Vector (double)

Definition at line 36 of file GenericVectorTypes.h.

typedef ROOT::Math::SVector<double, 5> Gaudi::Vector5

5D Vector (double)

Definition at line 37 of file GenericVectorTypes.h.

typedef ROOT::Math::SVector<double, 6> Gaudi::Vector6

6D Vector (double)

Definition at line 38 of file GenericVectorTypes.h.

typedef ROOT::Math::SVector<double, 7> Gaudi::Vector7

7D Vector (double)

Definition at line 39 of file GenericVectorTypes.h.

typedef ROOT::Math::SVector<double, 8> Gaudi::Vector8

8D Vector (double)

Definition at line 40 of file GenericVectorTypes.h.

typedef ROOT::Math::SVector<double, 9> Gaudi::Vector9

9D Vector (double)

Definition at line 41 of file GenericVectorTypes.h.

typedef ROOT::Math::SVector<float, 1> Gaudi::Vector1F

1D Vector (float)

Definition at line 43 of file GenericVectorTypes.h.

typedef ROOT::Math::SVector<float, 2> Gaudi::Vector2F

2D Vector (float)

Definition at line 44 of file GenericVectorTypes.h.

typedef ROOT::Math::SVector<float, 3> Gaudi::Vector3F

3D Vector (float)

Definition at line 45 of file GenericVectorTypes.h.

typedef ROOT::Math::SVector<float, 4> Gaudi::Vector4F

4D Vector (float)

Definition at line 46 of file GenericVectorTypes.h.

typedef ROOT::Math::SVector<float, 5> Gaudi::Vector5F

5D Vector (float)

Definition at line 47 of file GenericVectorTypes.h.

typedef ROOT::Math::SVector<float, 6> Gaudi::Vector6F

6D Vector (float)

Definition at line 48 of file GenericVectorTypes.h.

typedef ROOT::Math::SVector<float, 7> Gaudi::Vector7F

7D Vector (float)

Definition at line 49 of file GenericVectorTypes.h.

typedef ROOT::Math::SVector<float, 8> Gaudi::Vector8F

8D Vector (float)

Definition at line 50 of file GenericVectorTypes.h.

typedef ROOT::Math::SVector<float, 9> Gaudi::Vector9F

9D Vector (float)

Definition at line 51 of file GenericVectorTypes.h.

typedef ROOT::Math::Plane3D Gaudi::Plane3D

3D plane (double)

Definition at line 33 of file Plane3DTypes.h.

typedef ROOT::Math::XYZPoint Gaudi::XYZPoint

3D cartesian point (double)

Definition at line 33 of file Point3DTypes.h.

typedef ROOT::Math::Polar3DPoint Gaudi::Polar3DPoint

3D polar point (double)

Definition at line 34 of file Point3DTypes.h.

typedef ROOT::Math::RhoEtaPhiPoint Gaudi::RhoEtaPhiPoint

3D RhoEtaPhi point (double)

Definition at line 35 of file Point3DTypes.h.

typedef ROOT::Math::RhoZPhiPoint Gaudi::RhoZPhiPoint

3D RhoZPhi point (double)

Definition at line 36 of file Point3DTypes.h.

typedef ROOT::Math::XYZPointF Gaudi::XYZPointF

3D cartesian point (float)

Definition at line 38 of file Point3DTypes.h.

typedef ROOT::Math::Polar3DPointF Gaudi::Polar3DPointF

3D polar point (float)

Definition at line 39 of file Point3DTypes.h.

typedef ROOT::Math::RhoEtaPhiPointF Gaudi::RhoEtaPhiPointF

3D RhoEtaPhi point (float)

Definition at line 40 of file Point3DTypes.h.

typedef ROOT::Math::RhoZPhiPointF Gaudi::RhoZPhiPointF

3D RhoZPhi point (float)

Definition at line 41 of file Point3DTypes.h.

typedef LorentzVector Gaudi::XYZTPoint

4D point (space-time)

Todo:
  use Point4D from MathCore

Definition at line 34 of file Point4DTypes.h.

typedef ROOT::Math::SMatrix<double, 1, 1, ROOT::Math::MatRepSym<double,1> > Gaudi::SymMatrix1x1

Symmetrix 1x1 matrix (double).

Definition at line 32 of file SymmetricMatrixTypes.h.

typedef ROOT::Math::SMatrix<double, 2, 2, ROOT::Math::MatRepSym<double,2> > Gaudi::SymMatrix2x2

Symmetrix 2x2 matrix (double).

Definition at line 34 of file SymmetricMatrixTypes.h.

typedef ROOT::Math::SMatrix<double, 3, 3, ROOT::Math::MatRepSym<double,3> > Gaudi::SymMatrix3x3

Symmetrix 3x3 matrix (double).

Definition at line 36 of file SymmetricMatrixTypes.h.

typedef ROOT::Math::SMatrix<double, 4, 4, ROOT::Math::MatRepSym<double,4> > Gaudi::SymMatrix4x4

Symmetrix 4x4 matrix (double).

Definition at line 38 of file SymmetricMatrixTypes.h.

typedef ROOT::Math::SMatrix<double, 5, 5, ROOT::Math::MatRepSym<double,5> > Gaudi::SymMatrix5x5

Symmetrix 5x5 matrix (double).

Definition at line 40 of file SymmetricMatrixTypes.h.

typedef ROOT::Math::SMatrix<double, 6, 6, ROOT::Math::MatRepSym<double,6> > Gaudi::SymMatrix6x6

Symmetrix 6x6 matrix (double).

Definition at line 42 of file SymmetricMatrixTypes.h.

typedef ROOT::Math::SMatrix<double, 7, 7, ROOT::Math::MatRepSym<double,7> > Gaudi::SymMatrix7x7

Symmetrix 7x7 matrix (double).

Definition at line 44 of file SymmetricMatrixTypes.h.

typedef ROOT::Math::SMatrix<double, 8, 8, ROOT::Math::MatRepSym<double,8> > Gaudi::SymMatrix8x8

Symmetrix 8x8 matrix (double).

Definition at line 46 of file SymmetricMatrixTypes.h.

typedef ROOT::Math::SMatrix<double, 9, 9, ROOT::Math::MatRepSym<double,9> > Gaudi::SymMatrix9x9

Symmetrix 9x9 matrix (double).

Definition at line 48 of file SymmetricMatrixTypes.h.

typedef ROOT::Math::SMatrix<float, 1, 1, ROOT::Math::MatRepSym<float,1> > Gaudi::SymMatrix1x1F

Symmetrix 1x1 matrix (float).

Definition at line 51 of file SymmetricMatrixTypes.h.

typedef ROOT::Math::SMatrix<float, 2, 2, ROOT::Math::MatRepSym<float,2> > Gaudi::SymMatrix2x2F

Symmetrix 2x2 matrix (float).

Definition at line 53 of file SymmetricMatrixTypes.h.

typedef ROOT::Math::SMatrix<float, 3, 3, ROOT::Math::MatRepSym<float,3> > Gaudi::SymMatrix3x3F

Symmetrix 3x3 matrix (float).

Definition at line 55 of file SymmetricMatrixTypes.h.

typedef ROOT::Math::SMatrix<float, 4, 4, ROOT::Math::MatRepSym<float,4> > Gaudi::SymMatrix4x4F

Symmetrix 4x4 matrix (float).

Definition at line 57 of file SymmetricMatrixTypes.h.

typedef ROOT::Math::SMatrix<float, 5, 5, ROOT::Math::MatRepSym<float,5> > Gaudi::SymMatrix5x5F

Symmetrix 5x5 matrix (float).

Definition at line 59 of file SymmetricMatrixTypes.h.

typedef ROOT::Math::SMatrix<float, 6, 6, ROOT::Math::MatRepSym<float,6> > Gaudi::SymMatrix6x6F

Symmetrix 6x6 matrix (float).

Definition at line 61 of file SymmetricMatrixTypes.h.

typedef ROOT::Math::SMatrix<float, 7, 7, ROOT::Math::MatRepSym<float,7> > Gaudi::SymMatrix7x7F

Symmetrix 7x7 matrix (float).

Definition at line 63 of file SymmetricMatrixTypes.h.

typedef ROOT::Math::SMatrix<float, 8, 8, ROOT::Math::MatRepSym<float,8> > Gaudi::SymMatrix8x8F

Symmetrix 8x8 matrix (float).

Definition at line 65 of file SymmetricMatrixTypes.h.

typedef ROOT::Math::SMatrix<float, 9, 9, ROOT::Math::MatRepSym<float,9> > Gaudi::SymMatrix9x9F

Symmetrix 9x9 matrix (float).

Definition at line 67 of file SymmetricMatrixTypes.h.

typedef ROOT::Math::Rotation3D Gaudi::Rotation3D

3D rotation

Definition at line 41 of file Transform3DTypes.h.

typedef ROOT::Math::EulerAngles Gaudi::EulerAngles

3D Euler Angles

Definition at line 42 of file Transform3DTypes.h.

typedef ROOT::Math::Quaternion Gaudi::Quaternion

3D Quaternion

Definition at line 43 of file Transform3DTypes.h.

typedef ROOT::Math::AxisAngle Gaudi::AxisAngle

3D Axis Angle

Definition at line 44 of file Transform3DTypes.h.

typedef ROOT::Math::RotationX Gaudi::RotationX

Rotation about X axis.

Definition at line 45 of file Transform3DTypes.h.

typedef ROOT::Math::RotationY Gaudi::RotationY

Rotation about Y axis.

Definition at line 46 of file Transform3DTypes.h.

typedef ROOT::Math::RotationZ Gaudi::RotationZ

Rotation about Z axis.

Definition at line 47 of file Transform3DTypes.h.

typedef ROOT::Math::Transform3D Gaudi::Transform3D

General 3D transformation (rotation+translation).

Definition at line 48 of file Transform3DTypes.h.

typedef ROOT::Math::XYZVector Gaudi::TranslationXYZ

3D translation

Definition at line 49 of file Transform3DTypes.h.

typedef ROOT::Math::LorentzRotation Gaudi::LorentzRotation

Lorentz rotation.

Definition at line 32 of file Transform4DTypes.h.

typedef ROOT::Math::XYZVector Gaudi::XYZVector

Cartesian 3D vector (double).

Definition at line 33 of file Vector3DTypes.h.

typedef ROOT::Math::Polar3DVector Gaudi::Polar3DVector

Polar 3D vector (double).

Definition at line 34 of file Vector3DTypes.h.

typedef ROOT::Math::RhoEtaPhiVector Gaudi::RhoEtaPhiVector

RhoEtaPhi 3D vector (double).

Definition at line 35 of file Vector3DTypes.h.

typedef ROOT::Math::RhoZPhiVector Gaudi::RhoZPhiVector

RhoZPhi 3D vector (double).

Definition at line 36 of file Vector3DTypes.h.

typedef ROOT::Math::XYZVectorF Gaudi::XYZVectorF

Cartesian 3D vector (float).

Definition at line 37 of file Vector3DTypes.h.

typedef ROOT::Math::Polar3DVectorF Gaudi::Polar3DVectorF

Polar 3D vector (float).

Definition at line 38 of file Vector3DTypes.h.

typedef ROOT::Math::RhoEtaPhiVectorF Gaudi::RhoEtaPhiVectorF

RhoEtaPhi 3D vector (float).

Definition at line 39 of file Vector3DTypes.h.

typedef ROOT::Math::RhoZPhiVectorF Gaudi::RhoZPhiVectorF

RhoZPhi 3D vector (float).

Definition at line 40 of file Vector3DTypes.h.

typedef ROOT::Math::PxPyPzEVector Gaudi::XYZTVector

Cartesian 4 Vector.

Definition at line 33 of file Vector4DTypes.h.

typedef ROOT::Math::PxPyPzEVector Gaudi::LorentzVector

Cartesian 4 Vector.

Definition at line 34 of file Vector4DTypes.h.

typedef ROOT::Math::XYZTVectorF Gaudi::XYZTVectorF

Cartesian 4 Vector (float).

Definition at line 35 of file Vector4DTypes.h.

typedef ROOT::Math::XYZTVectorF Gaudi::LorentzVectorF

Cartesian 4 Vector (float).

Definition at line 36 of file Vector4DTypes.h.

typedef ROOT::Math::PtEtaPhiEVector Gaudi::PtEtaPhiEVector

Polar 4 Vector.

Definition at line 37 of file Vector4DTypes.h.

typedef std::vector<double> Gaudi::Edges

Definition at line 19 of file GaudiPI.h.

## Member Data Documentation

const InterfaceID Gaudi::IID_IIODataManager("IIODataManager", 1, 0)`[static]`

Referenced by Gaudi::IIODataManager::interfaceID(), and Gaudi::IODataManager::queryInterface().

The documentation for this class was generated from the following files:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiKernel/v25r2/GaudiKernel/Bootstrap.h
- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiKernel/v25r2/GaudiKernel/Coord3DTypes.h
- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiKernel/v25r2/GaudiKernel/GenericMatrixTypes.h
- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiKernel/v25r2/GaudiKernel/GenericVectorTypes.h
- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiKernel/v25r2/GaudiKernel/Plane3DTypes.h
- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiKernel/v25r2/GaudiKernel/Point3DTypes.h
- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiKernel/v25r2/GaudiKernel/Point4DTypes.h
- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiKernel/v25r2/GaudiKernel/SymmetricMatrixTypes.h
- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiKernel/v25r2/GaudiKernel/Transform3DTypes.h
- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiKernel/v25r2/GaudiKernel/Transform4DTypes.h
- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiKernel/v25r2/GaudiKernel/Vector3DTypes.h
- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiKernel/v25r2/GaudiKernel/Vector4DTypes.h
- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiSvc/v17r1/src/HistogramSvc/GaudiPI.h
- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiUtils/v2r0/GaudiUtils/IIODataManager.h